Name:           perl-Authen-WebAuthn
Version:        0.001
Release:        2%{?dist}
Summary:        Authen::WebAuthn Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Authen-WebAuthn/
Source0:        http://www.cpan.org/authors/id/M/MB/MBESSON/Authen-WebAuthn-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(CBOR::XS)
BuildRequires:  perl(constant)
BuildRequires:  perl(Crypt::OpenSSL::X509)
BuildRequires:  perl(Crypt::PK::ECC)
BuildRequires:  perl(Crypt::PK::RSA)
BuildRequires:  perl(Crypt::URandom)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Hash::Merge::Simple)
BuildRequires:  perl(JSON)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Mouse)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(CBOR::XS)
Requires:       perl(constant)
Requires:       perl(Crypt::OpenSSL::X509)
Requires:       perl(Crypt::PK::ECC)
Requires:       perl(Crypt::PK::RSA)
Requires:       perl(Digest::SHA)
Requires:       perl(Hash::Merge::Simple)
Requires:       perl(JSON)
Requires:       perl(MIME::Base64)
Requires:       perl(Mouse)
Requires:       perl(strict)
Requires:       perl(URI)
Requires:       perl(utf8)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Authen::WebAuthn Perl module

%prep
%setup -q -n Authen-WebAuthn-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc dist.ini LICENSE README README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Feb 23 2022 Daniel Berteaud <dbd@ehtrace.com> 0.001-2
- new package built with tito

* Wed Feb 23 2022 Daniel Berteaud <dbd@ehtrace.com> 0.001-1
- Specfile autogenerated by cpanspec 1.78.
